#!/usr/bin/env python3
from cmk.gui.i18n import _
from cmk.gui.plugins.metrics import (
    metric_info,
    graph_info,
)

metric_info["nc_num_users"] = {
    "title": _("Number of Users"),
    "unit": "count",
    "color": "44/a",
}

metric_info["nc_num_shares"] = {
    "title": _("Number of Shares"),
    "unit": "count",
    "color": "44/b",
}

metric_info["nc_num_storages"] = {
    "title": _("Number of Storages"),
    "unit": "count",
    "color": "42/a",
}

metric_info["nc_num_storages_home"] = {
    "title": _("Number of Home Storages"),
    "unit": "count",
    "color": "44/a",
}

metric_info["nc_num_storages_local"] = {
    "title": _("Number of Local Storages"),
    "unit": "count",
    "color": "44/b",
}

metric_info["nc_num_storages_other"] = {
    "title": _("Number of Other Storages"),
    "unit": "count",
    "color": "42/a",
}

metric_info["nc_num_files"] = {
    "title": _("Number of Files"),
    "unit": "count",
    "color": "42/a",
}

metric_info["nc_num_apps_installed"] = {
    "title": _("Number of installed Apps"),
    "unit": "count",
    "color": "43/a",
}

metric_info["nc_apps_with_updates_available"] = {
    "title": _("Number of installed Apps with Updates Available"),
    "unit": "count",
    "color": "24/a",
}

metric_info["nc_active_users_last_5min"] = {
    "title": _("Number of Active Users in the last 5 minutes"),
    "unit": "count",
    "color": "24/a",
}

metric_info["nc_active_users_last_1hour"] = {
    "title": _("Number of Active Users in the last 1 hour"),
    "unit": "count",
    "color": "41/a",
}

metric_info["nc_active_users_last_1day"] = {
    "title": _("Number of Active Users in the last 1 day"),
    "unit": "count",
    "color": "42/a",
}

metric_info["nc_users_free_space"] = {
    "title": _("Free Space of User"),
    "unit": "bytes",
    "color": "22/a",
}

metric_info["nc_free_space"] = {
    "title": _("Free Space on Disk"),
    "unit": "bytes",
    "color": "22/a",
}

metric_info["nc_database_size"] = {
    "title": _("Database Size"),
    "unit": "bytes",
    "color": "24/a",
}

metric_info["nc_database_opcache_hit_rate"] = {
    "title": _("Database PHP OPCache Hit Rate"),
    "unit": "%",
    "color": "24/a",
}

metric_info["nc_users_quota_used"] = {
    "title": _("Quota used"),
    "unit": "%",
    "color": "16/a",
}

graph_info["number_of_users_shares_storages_combined"] = {
    "title": _("Number of Users, Shares and Storages"),
    "metrics": [
        ("nc_num_users", "area"),
        ("nc_num_shares", "stack"),
        ("nc_num_storages", "stack"),
    ],
}

graph_info["number_of_storage_types_combined"] = {
    "title": _("Number of Storage Types"),
    "metrics": [
        ("nc_num_storages_home", "area"),
        ("nc_num_storages_local", "stack"),
        ("nc_num_storages_other", "stack"),
    ],
}

graph_info["number_of_active_users_combined"] = {
    "title": _("Number of Active Users"),
    "metrics": [
        ("nc_active_users_last_5min", "area"),
        ("nc_active_users_last_1hour", "stack"),
        ("nc_active_users_last_1day", "stack"),
    ],
}
